﻿using System;

namespace ELTE.BoardGame.Model
{
    /// <summary>
    /// Játék megnyerésének eseményargumetum típusa.
    /// </summary>
    public class GameWonEventArgs : EventArgs
    {
        /// <summary>
        /// Játékos lekérdezése.
        /// </summary>
        public PlayerData Player { get; private set; }

        /// <summary>
        /// Játék megnyerésének eseményargumetum 
        /// </summary>
        /// <param name="player"></param>
        public GameWonEventArgs(PlayerData player) { Player = player; }
    }
}
